# panos_restart – restart a device

- DEPRECATED

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## DEPRECATED

Removed in Ansible

  version: 2.12

Why

  Consolidating code base.

Alternative

  Use https://galaxy.ansible.com/PaloAltoNetworks/paloaltonetworks instead.

## Synopsis

- Restart a device

## Requirements

The below requirements are needed on the host that executes this module.

- pan-python

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
ip_address string / required |  | IP address (or hostname) of PAN-OS device.
password string / required |  | Password for authentication.
username string | Default: "admin" | Username for authentication.

## Examples

    - panos_restart:
        ip_address: "192.168.1.1"
        username: "admin"
        password: "admin"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
status string | success | success status Sample: okey dokey

## Status

- This module will be removed in version 2.12. [deprecated]

- For more information see DEPRECATED.

### Authors

- Luigi Mori (@jtschichold), Ivan Bojer (@ivanbojer)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.